com.rscja.team.mtk.barcode

## Class BarcodeSymbolUtility_mtk

- java.lang.Object
- - com.rscja.team.mtk.barcode.BarcodeSymbolUtility_mtk

- All Implemented Interfaces:
    IBarcodeSymbolUtility

      public class BarcodeSymbolUtility_mtk
      extends java.lang.Object
      implements IBarcodeSymbolUtility

  条码符号工具类

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `INT_GM`
    `static int` | `INT_INDUSTRIAL_2_5`
    `static int` | `INT_ISBT_128`
    `static int` | `INT_OCR`
    `static int` | `INT_STANDARD_2_5`
    `static java.lang.String` | `STR_GM`
    `static java.lang.String` | `STR_INDUSTRIAL_2_5`
    `static java.lang.String` | `STR_ISBT_128`
    `static java.lang.String` | `STR_OCR`
    `static java.lang.String` | `STR_STANDARD_2_5`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBarcodeName(int symbol)` 获取条码名称(get barcode name)
    `static BarcodeSymbolUtility_mtk` | `getInstance()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STR_ISBT_128

          public static final java.lang.String STR_ISBT_128

      See Also:
        Constant Field Values

    - #### STR_STANDARD_2_5

          public static final java.lang.String STR_STANDARD_2_5

      See Also:
        Constant Field Values

    - #### STR_INDUSTRIAL_2_5

          public static final java.lang.String STR_INDUSTRIAL_2_5

      See Also:
        Constant Field Values

    - #### STR_GM

          public static final java.lang.String STR_GM

      See Also:
        Constant Field Values

    - #### STR_OCR

          public static final java.lang.String STR_OCR

      See Also:
        Constant Field Values

    - #### INT_ISBT_128

          public static final int INT_ISBT_128

      See Also:
        Constant Field Values

    - #### INT_STANDARD_2_5

          public static final int INT_STANDARD_2_5

      See Also:
        Constant Field Values

    - #### INT_INDUSTRIAL_2_5

          public static final int INT_INDUSTRIAL_2_5

      See Also:
        Constant Field Values

    - #### INT_GM

          public static final int INT_GM

      See Also:
        Constant Field Values

    - #### INT_OCR

          public static final int INT_OCR

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static BarcodeSymbolUtility_mtk getInstance()

    - #### getBarcodeName

          public java.lang.String getBarcodeName(int symbol)

      获取条码名称(get barcode name)
      Specified by:
        `getBarcodeName` in interface `IBarcodeSymbolUtility`
      Parameters:
        `symbol` - 条码符号(barcode symbol)
      Returns:
        条码名称(barcode name)